## org.apache.lucene.search
Class CachingWrapperFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.CachingWrapperFilter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  QueryFilter

    public class CachingWrapperFilter

extends Filter

Wraps another filter's result and caches it. The purpose is to allow filters to simply filter, and then wrap with this class to add caching.

See Also:
  Serialized Form

Field Summary
`protected Map` `cache` A transient Filter cache.
`protected Filter` `filter`

Constructor Summary
`CachingWrapperFilter(Filter filter)`

Method Summary
`BitSet` `bits(IndexReader reader)` Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### filter

    protected Filter filter

### cache

    protected transient Map cache

  A transient Filter cache. To cache Filters even when using `RemoteSearchable` use `RemoteCachingWrapperFilter` instead.

Constructor Detail

### CachingWrapperFilter

    public CachingWrapperFilter(Filter filter)

Parameters:
  `filter` - Filter to cache results of

Method Detail

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Description copied from class: `Filter`
  Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.

  Specified by:
    `bits` in class `Filter`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.